- Home
- API Enriched
- Tenant And Identity
- web
- UpdateUserImage.
UpdateUserImage.
PUT
/api/web/namespaces/system/user/settings/image
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/user/settings/image';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"content_type":"example","image":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/user/settings/image \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "content_type": "example", "image": "example" }'Updates current user profile picture.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
UpdateImageRequest
Message contains data for updating user profile image.
object
content_type
Type of uploading image.
string
image
Blob of the user profile image.
string format: byte
Examplegenerated
{ "content_type": "example", "image": "example"}Responses
Section titled “Responses”A successful response.
Media typeapplication/json
Empty
Empty object definition.
object
Examplegenerated
{}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example